## sord 0.16.6

=== wscript ===
#!/usr/bin/env python

import glob
import os
import sys

from waflib import Logs, Options
from waflib.extras import autowaf

# Library and package version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
SORD_VERSION       = '0.16.6'
SORD_MAJOR_VERSION = '0'

# Mandatory waf variables
APPNAME = 'sord'        # Package name for waf dist
VERSION = SORD_VERSION  # Package version for waf dist
top     = '.'           # Source directory
out     = 'build'       # Build directory

# Release variables
uri          = 'http://drobilla.net/sw/sord'
dist_pattern = 'http://download.drobilla.net/sord-%d.%d.%d.tar.bz2'
post_tags    = ['Hacking', 'RDF', 'Sord']

def options(ctx):
    ctx.load('compiler_c')
    ctx.load('compiler_cxx')
    opt = ctx.configuration_options()

    ctx.add_flags(
        opt,
        {'no-utils':     'do not build command line utilities',
         'static':       'build static library',
         'no-shared':    'do not build shared library',
         'static-progs': 'build programs as static binaries'})

    opt.add_option('--dump', type='string', default='', dest='dump',
                   help='dump debugging output (iter, search, write, all)')

def configure(conf):
    conf.load('compiler_c', cache=True)
    if Options.options.build_tests:
        try:
            conf.load('compiler_cxx', cache=True)
        except:
            Logs.warn("No C++ compiler, sordmm.hpp compile test skipped")
            pass

    conf.load('autowaf', cache=True)
    autowaf.set_c_lang(conf, 'c99')
    autowaf.set_cxx_lang(conf, 'c++11')

    conf.env.BUILD_UTILS  = not Options.options.no_utils
    conf.env.BUILD_SHARED = not Options.options.no_shared
    conf.env.STATIC_PROGS = Options.options.static_progs
    conf.env.BUILD_STATIC = (Options.options.static or
                             Options.options.static_progs)

    if Options.options.ultra_strict:
        autowaf.add_compiler_flags(conf.env, '*', {
            'gcc': [
                '-Wno-cast-align',
                '-Wno-cast-qual',
                '-Wno-conversion',
                '-Wno-inline',
                '-Wno-padded',
                '-Wno-sign-conversion',
                '-Wno-stack-protector',
                '-Wno-suggest-attribute=const',
                '-Wno-suggest-attribute=pure',
                '-Wno-switch-enum',
                '-Wno-unused-macros',
                '-Wno-unused-parameter',
                '-Wno-vla',
            ],
            'clang': [
                '-Wno-cast-align',
                '-Wno-cast-qual',
                '-Wno-extra-semi-stmt',
                '-Wno-format-nonliteral',
                '-Wno-padded',
                '-Wno-reserved-id-macro',
                '-Wno-shorten-64-to-32',
                '-Wno-sign-conversion',
                '-Wno-switch-enum',
                '-Wno-unused-macros',
                '-Wno-unused-parameter',
                '-Wno-vla',
            ],
            'msvc': [
                '/wd4061',  # enumerator in switch is not explicitly handled
                '/wd4100',  # unreferenced formal parameter
                '/wd4200',  # zero-sized array in struct/union
                '/wd4244',  # conversion with possible loss of data
                '/wd4267',  # conversion from size_t to a smaller type
                '/wd4365',  # signed/unsigned mismatch
                '/wd4389',  # '==': signed/unsigned mismatch
                '/wd4514',  # unreferenced inline function has been removed
                '/wd4702',  # unreachable code
                '/wd4706',  # assignment within conditional expression
                '/wd4820',  # padding added after construct
                '/wd5045',  # will insert Spectre mitigation for memory load
            ],
        })

        autowaf.add_compiler_flags(conf.env, 'cxx', {
            'gcc': [
                '-Wno-effc++',
                '-Wno-multiple-inheritance',
            ],
            'clang': [
                '-Wno-implicit-float-conversion',
            ],
            'msvc': [
                '/wd4571',  # catch semantics changed
                '/wd4625',  # copy constructor implicitly deleted
                '/wd4626',  # assignment opreator implicitly deleted
            ],
        })

    conf.check_pkg('serd-0 >= 0.30.0', uselib_store='SERD')
    conf.check_pkg('libpcre', uselib_store='PCRE', mandatory=False)

    if conf.env.HAVE_PCRE:
        if conf.check(cflags=['-pthread'], mandatory=False):
            conf.env.PTHREAD_CFLAGS    = ['-pthread']
            if conf.env.CC_NAME != 'clang':
                conf.env.PTHREAD_LINKFLAGS = ['-pthread']
        elif conf.check(linkflags=['-lpthread'], mandatory=False):
            conf.env.PTHREAD_CFLAGS    = []
            conf.env.PTHREAD_LINKFLAGS = ['-lpthread']
        else:
            conf.env.PTHREAD_CFLAGS    = []
            conf.env.PTHREAD_LINKFLAGS = []

    # Parse dump options and define things accordingly
    dump = Options.options.dump.split(',')
    all = 'all' in dump
    if all or 'iter' in dump:
        conf.define('SORD_DEBUG_ITER', 1)
    if all or 'search' in dump:
        conf.define('SORD_DEBUG_SEARCH', 1)
    if all or 'write' in dump:
        conf.define('SORD_DEBUG_WRITE', 1)

    autowaf.set_lib_env(conf, 'sord', SORD_VERSION)
    conf.write_config_header('sord_config.h', remove=False)

    autowaf.display_summary(
        conf,
        {'Static library': bool(conf.env.BUILD_STATIC),
         'Shared library': bool(conf.env.BUILD_SHARED),
         'Utilities':      bool(conf.env.BUILD_UTILS),
         'Unit tests':     bool(conf.env.BUILD_TESTS),
         'Debug dumping':  dump})

def build(bld):
    # C/C++ Headers
    includedir = '${INCLUDEDIR}/sord-%s/sord' % SORD_MAJOR_VERSION
    bld.install_files(includedir, bld.path.ant_glob('sord/*.h'))
    bld.install_files(includedir, bld.path.ant_glob('sord/*.hpp'))

    # Pkgconfig file
    autowaf.build_pc(bld, 'SORD', SORD_VERSION, SORD_MAJOR_VERSION, [],
                     {'SORD_MAJOR_VERSION' : SORD_MAJOR_VERSION,
                      'SORD_PKG_DEPS'      : 'serd-0'})

    source = 'src/sord.c src/syntax.c'

    libflags = ['-fvisibility=hidden']
    libs     = ['m']
    defines  = []
    if bld.env.MSVC_COMPILER:
        libflags = []
        libs     = []
        defines  = []

    # Shared Library
    if bld.env.BUILD_SHARED:
        obj = bld(features        = 'c cshlib',
                  source          = source,
                  includes        = ['.', './src'],
                  export_includes = ['.'],
                  name            = 'libsord',
                  target          = 'sord-%s' % SORD_MAJOR_VERSION,
                  vnum            = SORD_VERSION,
                  install_path    = '${LIBDIR}',
                  libs            = libs,
                  uselib          = 'SERD',
                  defines         = defines + ['SORD_SHARED', 'SORD_INTERNAL'],
                  cflags          = libflags)

    # Static Library
    if bld.env.BUILD_STATIC:
        obj = bld(features        = 'c cstlib',
                  source          = source,
                  includes        = ['.', './src'],
                  export_includes = ['.'],
                  name            = 'libsord_static',
                  target          = 'sord-%s' % SORD_MAJOR_VERSION,
                  vnum            = SORD_VERSION,
                  install_path    = '${LIBDIR}',
                  libs            = libs,
                  uselib          = 'SERD',
                  defines         = ['SORD_INTERNAL'])

    if bld.env.BUILD_TESTS:
        test_libs      = libs
        test_cflags    = ['']
        test_linkflags = ['']
        if not bld.env.NO_COVERAGE:
            test_cflags    += ['--coverage']
            test_linkflags += ['--coverage']

        # Profiled static library for test coverage
        obj = bld(features     = 'c cstlib',
                  source       = source,
                  includes     = ['.', './src'],
                  name         = 'libsord_profiled',
                  target       = 'sord_profiled',
                  install_path = '',
                  defines      = defines,
                  cflags       = test_cflags,
                  linkflags    = test_linkflags,
                  lib          = test_libs,
                  uselib       = 'SERD')

        # Unit test program
        obj = bld(features     = 'c cprogram',
                  source       = 'src/sord_test.c',
                  includes     = ['.', './src'],
                  use          = 'libsord_profiled',
                  lib          = test_libs,
                  target       = 'sord_test',
                  install_path = '',
                  defines      = defines,
                  cflags       = test_cflags,
                  linkflags    = test_linkflags,
                  uselib       = 'SERD')

        # Static profiled sordi for tests
        obj = bld(features     = 'c cprogram',
                  source       = 'src/sordi.c',
                  includes     = ['.', './src'],
                  use          = 'libsord_profiled',
                  lib          = test_libs,
                  target       = 'sordi_static',
                  install_path = '',
                  defines      = defines,
                  cflags       = test_cflags,
                  linkflags    = test_linkflags,
                  uselib       = 'SERD')

        # C++ build test
        if bld.env.COMPILER_CXX:
            obj = bld(features     = 'cxx cxxprogram',
                      source       = 'src/sordmm_test.cpp',
                      includes     = ['.', './src'],
                      use          = 'libsord_profiled',
                      lib          = test_libs,
                      target       = 'sordmm_test',
                      install_path = '',
                      defines      = defines,
                      cxxflags     = test_cflags,
                      linkflags    = test_linkflags,
                      uselib       = 'SERD')

    # Utilities
    if bld.env.BUILD_UTILS:
        utils = ['sordi']
        if bld.env.HAVE_PCRE:
            utils += ['sord_validate']
        for i in utils:
            obj = bld(features     = 'c cprogram',
                      source       = 'src/%s.c' % i,
                      includes     = ['.', './src'],
                      use          = 'libsord',
                      lib          = libs,
                      uselib       = 'SERD',
                      target       = i,
                      install_path = '${BINDIR}',
                      defines      = defines)
            if not bld.env.BUILD_SHARED or bld.env.STATIC_PROGS:
                obj.use = 'libsord_static'
            if bld.env.STATIC_PROGS:
                obj.env.SHLIB_MARKER = obj.env.STLIB_MARKER
                obj.linkflags        = ['-static', '-Wl,--start-group']
            if i == 'sord_validate':
                obj.uselib    += ' PCRE'
                obj.cflags    = bld.env.PTHREAD_CFLAGS
                obj.linkflags = bld.env.PTHREAD_LINKFLAGS

    # Documentation
    autowaf.build_dox(bld, 'SORD', SORD_VERSION, top, out)

    # Man pages
    bld.install_files('${MANDIR}/man1', bld.path.ant_glob('doc/*.1'))

    bld.add_post_fun(autowaf.run_ldconfig)

def lint(ctx):
    "checks code for style issues"
    import subprocess
    cmd = ("clang-tidy -p=. -header-filter=.* -checks=\"*," +
           "-cert-dcl03-c," +
           "-clang-analyzer-alpha.*," +
           "-google-readability-todo," +
           "-llvm-header-guard," +
           "-llvm-include-order," +
           "-misc-static-assert," +
           "-misc-unused-parameters," +
           "-readability-else-after-return\" " +
           "../src/*.c")

=== debian/changelog ===
sord (0.16.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Dennis Braun ]
  * New upstream version 0.16.6
    + Fixes FTBFS with doxygen 1.8.19 (Closes: #969143)
  * Update ldconfig patch
  * Add d/upstream/signing-key.asc
  * Add d/upstream/metadata
  * Bump dh-compat to 13
  * Bump S-V to 4.5.0
  * Add me as uploader
  * Add Build-Depends-Package to symbols file
  * Update d/copyright year
  * d/copyright: http > https

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 08 Oct 2020 15:13:17 +0200

=== debian/control ===
Source: sord
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Dennis Braun <d_braun@kabelmail.de>
Build-Depends:
 debhelper-compat (= 13),
 doxygen,
 graphviz,
 libserd-dev (>= 0.30),
 libpcre++-dev,
 pkg-config,
 python3:native,
Standards-Version: 4.5.0
Homepage: https://drobilla.net/software/sord/
Vcs-Git: https://salsa.debian.org/multimedia-team/sord.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/sord
Rules-Requires-Root: no

Package: libsord-0-0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 sordi
Description: library for storing RDF data in memory
 Sord is a lightweight C library for storing Resource
 Description Framework (RDF) data in memory.
 .
 Sord includes man pages for the library (man sord) and a
 simple command line utility (man sordi).

Package: libsord-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libserd-dev (>= 0.30),
 libsord-0-0 (= ${binary:Version}),
 ${misc:Depends}
Suggests:
 libsord-doc
Recommends:
 pkg-config
Description: library for storing RDF data in memory (development files)
 Sord is a lightweight C library for storing Resource
 Description Framework (RDF) data in memory.
 .
 This package provides the development headers.

Package: sordi
Architecture: any
Section: text
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: library for storing RDF data in memory - utilities
 Sord is a lightweight C library for storing Resource
 Description Framework (RDF) data in memory.
 .
 This package provides the 'sordi' and 'sord_validate' utilities.

Package: libsord-doc
Section: doc
Architecture: all
Enhances:
 libsord-dev
Depends:
 ${misc:Depends}
Recommends:
 libjs-jquery
Description: library for storing RDF data in memory (documentation)
 Sord is a lightweight C library for storing Resource
 Description Framework (RDF) data in memory.
 .
 This package provides the developer's reference for sord.

## sord 0.16.8

=== wscript ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-SORD_VERSION       = '0.16.6'
+SORD_VERSION       = '0.16.8'
 SORD_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -79,8 +79,8 @@
             'clang': [
                 '-Wno-cast-align',
                 '-Wno-cast-qual',
-                '-Wno-extra-semi-stmt',
                 '-Wno-format-nonliteral',
+                '-Wno-nullability-extension',
                 '-Wno-padded',
                 '-Wno-reserved-id-macro',
                 '-Wno-shorten-64-to-32',
@@ -146,8 +146,15 @@
     if all or 'write' in dump:
         conf.define('SORD_DEBUG_WRITE', 1)
 
-    autowaf.set_lib_env(conf, 'sord', SORD_VERSION)
-    conf.write_config_header('sord_config.h', remove=False)
+    # Set up environment for building/using as a subproject
+    autowaf.set_lib_env(conf, 'sord', SORD_VERSION,
+                        include_path=str(conf.path.find_node('include')))
+
+    if conf.env.BUILD_UTILS and conf.env.HAVE_PCRE:
+        sord_validate_node = conf.path.get_bld().make_node('sord_validate')
+        conf.env.SORD_VALIDATE = [sord_validate_node.abspath()]
+
+    conf.define('SORD_NO_DEFAULT_CONFIG', 1)
 
     autowaf.display_summary(
         conf,
@@ -160,8 +167,8 @@
 def build(bld):
     # C/C++ Headers
     includedir = '${INCLUDEDIR}/sord-%s/sord' % SORD_MAJOR_VERSION
-    bld.install_files(includedir, bld.path.ant_glob('sord/*.h'))
-    bld.install_files(includedir, bld.path.ant_glob('sord/*.hpp'))
+    bld.install_files(includedir, bld.path.ant_glob('include/sord/*.h'))
+    bld.install_files(includedir, bld.path.ant_glob('include/sord/*.hpp'))
 
     # Pkgconfig file
     autowaf.build_pc(bld, 'SORD', SORD_VERSION, SORD_MAJOR_VERSION, [],
@@ -182,30 +189,30 @@
     if bld.env.BUILD_SHARED:
         obj = bld(features        = 'c cshlib',
                   source          = source,
-                  includes        = ['.', './src'],
-                  export_includes = ['.'],
+                  includes        = ['.', 'include', './src'],
+                  export_includes = ['.', 'include'],
                   name            = 'libsord',
                   target          = 'sord-%s' % SORD_MAJOR_VERSION,
                   vnum            = SORD_VERSION,
                   install_path    = '${LIBDIR}',
                   libs            = libs,
                   uselib          = 'SERD',
-                  defines         = defines + ['SORD_SHARED', 'SORD_INTERNAL'],
+                  defines         = defines + ['SORD_INTERNAL'],
                   cflags          = libflags)
 
     # Static Library
     if bld.env.BUILD_STATIC:
         obj = bld(features        = 'c cstlib',
                   source          = source,
-                  includes        = ['.', './src'],
-                  export_includes = ['.'],
+                  includes        = ['.', 'include', './src'],
+                  export_includes = ['.', 'include'],
                   name            = 'libsord_static',
                   target          = 'sord-%s' % SORD_MAJOR_VERSION,
                   vnum            = SORD_VERSION,
                   install_path    = '${LIBDIR}',
                   libs            = libs,
                   uselib          = 'SERD',
-                  defines         = ['SORD_INTERNAL'])
+                  defines         = ['SORD_STATIC', 'SORD_INTERNAL'])
 
     if bld.env.BUILD_TESTS:
         test_libs      = libs
@@ -218,11 +225,11 @@
         # Profiled static library for test coverage
         obj = bld(features     = 'c cstlib',
                   source       = source,
-                  includes     = ['.', './src'],
+                  includes     = ['.', 'include', './src'],
                   name         = 'libsord_profiled',
                   target       = 'sord_profiled',
                   install_path = '',
-                  defines      = defines,
+                  defines      = defines + ['SORD_STATIC', 'SORD_INTERNAL'],
                   cflags       = test_cflags,
                   linkflags    = test_linkflags,
                   lib          = test_libs,
@@ -231,12 +238,12 @@
         # Unit test program
         obj = bld(features     = 'c cprogram',
                   source       = 'src/sord_test.c',
-                  includes     = ['.', './src'],
+                  includes     = ['.', 'include', './src'],
                   use          = 'libsord_profiled',
                   lib          = test_libs,
                   target       = 'sord_test',
                   install_path = '',
-                  defines      = defines,
+                  defines      = defines + ['SORD_STATIC'],
                   cflags       = test_cflags,
                   linkflags    = test_linkflags,
                   uselib       = 'SERD')
@@ -244,12 +251,12 @@
         # Static profiled sordi for tests
         obj = bld(features     = 'c cprogram',
                   source       = 'src/sordi.c',
-                  includes     = ['.', './src'],
+                  includes     = ['.', 'include', './src'],
                   use          = 'libsord_profiled',
                   lib          = test_libs,
                   target       = 'sordi_static',
                   install_path = '',
-                  defines      = defines,
+                  defines      = defines + ['SORD_STATIC'],
                   cflags       = test_cflags,
                   linkflags    = test_linkflags,
                   uselib       = 'SERD')
@@ -258,12 +265,12 @@
         if bld.env.COMPILER_CXX:
             obj = bld(features     = 'cxx cxxprogram',
                       source       = 'src/sordmm_test.cpp',
-                      includes     = ['.', './src'],
+                      includes     = ['.', 'include', './src'],
                       use          = 'libsord_profiled',
                       lib          = test_libs,
                       target       = 'sordmm_test',
                       install_path = '',
-                      defines      = defines,
+                      defines      = defines + ['SORD_STATIC'],
                       cxxflags     = test_cflags,
                       linkflags    = test_linkflags,
                       uselib       = 'SERD')
@@ -276,7 +283,7 @@
         for i in utils:
             obj = bld(features     = 'c cprogram',
                       source       = 'src/%s.c' % i,
-                      includes     = ['.', './src'],
+                      includes     = ['.', 'include', './src'],
                       use          = 'libsord',
                       lib          = libs,
                       uselib       = 'SERD',
@@ -299,18 +306,3 @@
     # Man pages
     bld.install_files('${MANDIR}/man1', bld.path.ant_glob('doc/*.1'))
 
-    bld.add_post_fun(autowaf.run_ldconfig)
-
-def lint(ctx):
-    "checks code for style issues"
-    import subprocess
-    cmd = ("clang-tidy -p=. -header-filter=.* -checks=\"*," +
-           "-cert-dcl03-c," +
-           "-clang-analyzer-alpha.*," +
-           "-google-readability-todo," +
-           "-llvm-header-guard," +
-           "-llvm-include-order," +
-           "-misc-static-assert," +
-           "-misc-unused-parameters," +
-           "-readability-else-after-return\" " +
-           "../src/*.c")

=== debian/changelog ===
sord (0.16.8-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Reduce Build-Depends: (Closes: #981735)
    + Demote doxygen to B-D-I.
    + Drop graphviz, because HAVE_DOT=NO. 

  [ Dennis Braun ]
  * Mark libsord-doc as M-A: foreign
  * Add d/patches/0001-Fix-crash-with-optimized-builds-with-GCC-10.1.0.patch

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 04 Feb 2021 20:45:55 +0100

sord (0.16.8-1) unstable; urgency=medium

  [ Olivier Humbert ]
  * d/copyright: http -> https

  [ Dennis Braun ]
  * New upstream version 0.16.8
  * Bump S-V to 4.5.1, no changes needed
  * Add lintian overrides to get rid of the jquery lintian bug
  * Refresh 1001-dont_run_ldconfig.patch
  * Remove unnecessary LDFLAGS from d/rules
  * d/watch: Update pgpsigurlmangle for asc files

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 14 Jan 2021 18:22:38 +0100

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
  Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
  debhelper-compat (= 13),
- doxygen,
- graphviz,
  libserd-dev (>= 0.30),
  libpcre++-dev,
  pkg-config,
  python3:native,
-Standards-Version: 4.5.0
+Build-Depends-Indep:
+ doxygen,
+Standards-Version: 4.5.1
 Homepage: https://drobilla.net/software/sord/
 Vcs-Git: https://salsa.debian.org/multimedia-team/sord.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/sord
@@ -68,6 +68,7 @@
 Package: libsord-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Enhances:
  libsord-dev
 Depends:

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

include /usr/share/dpkg/architecture.mk
-include /usr/share/dpkg/buildtools.mk
PKG_CONFIG ?= pkg-config
WAF = python3 ./waf

%:
	dh $@

override_dh_auto_configure:
	CC=$(CC) PKGCONFIG=$(PKG_CONFIG) \
	$(WAF) configure \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--strict \
		--docs

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) clean || true
	find -name "*.pyc" -delete
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://download.drobilla.net/sord-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sord 0.16.12

=== meson_options.txt ===
option('docs', type: 'feature', value: 'auto', yield: true,
       description: 'Build documentation')

option('strict', type: 'boolean', value: false, yield: true,
       description: 'Enable ultra-strict warnings')

option('tests', type: 'feature', value: 'auto', yield: true,
       description: 'Build tests')

option('title', type: 'string', value: 'Sord',
       description: 'Project title')

option('tools', type: 'feature', value: 'auto', yield: true,
       description: 'Build command line utilities')

=== debian/changelog ===
sord (0.16.12-1) unstable; urgency=medium

  * New upstream version 0.16.12
  * Build with meson
  * Drop obsolete ldconfig patch
  * d/copyright: Drop waf* entry and BSD license
  * Update doc installation
  * Refresh lintian-overrides
  * Update d/clean

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 25 Jul 2022 16:21:04 +0200

sord (0.16.10-1) unstable; urgency=medium

  * New upstream version 0.16.10
  * Refresh patchset, drop gcc10 patch applied by upstream
  * Bump Standards Version to 4.6.1
  * d/copyright: Bump year and add myself
  * Update d/libsord-0-0.symbols
  * d/watch: Use .sig for pgpsigurlmangle

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 30 May 2022 23:23:47 +0200

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,12 @@
  debhelper-compat (= 13),
  libserd-dev (>= 0.30),
  libpcre++-dev,
+ meson,
  pkg-config,
  python3:native,
 Build-Depends-Indep:
  doxygen,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://drobilla.net/software/sord/
 Vcs-Git: https://salsa.debian.org/multimedia-team/sord.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/sord

## sord 0.16.14

=== debian/changelog ===
sord (0.16.14-2) unstable; urgency=medium

  * Drop optional Build-Depends libpcre++-dev (Closes: #1020931)

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 28 Sep 2022 22:43:00 +0200

sord (0.16.14-1) unstable; urgency=medium

  * New upstream version 0.16.14
  * Update symbols file

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 12 Sep 2022 23:12:18 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
 Build-Depends:
  debhelper-compat (= 13),
  libserd-dev (>= 0.30),
- libpcre++-dev,
  meson,
  pkg-config,
  python3:native,

## sord 0.16.14+git221008

=== meson_options.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Copyright 2021-2022 David Robillard <d@drobilla.net>
+# SPDX-License-Identifier: 0BSD OR ISC
+
 option('docs', type: 'feature', value: 'auto', yield: true,
        description: 'Build documentation')

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
  debhelper-compat (= 13),
+ libpcre2-dev,
  libserd-dev (>= 0.30),
  meson,
  pkg-config,
@@ -15,7 +16,7 @@
 Build-Depends-Indep:
  doxygen,
 Standards-Version: 4.6.1
-Homepage: https://drobilla.net/software/sord/
+Homepage: https://drobilla.net/software/sord.html
 Vcs-Git: https://salsa.debian.org/multimedia-team/sord.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/sord
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

include /usr/share/dpkg/architecture.mk
-include /usr/share/dpkg/buildtools.mk
PKG_CONFIG ?= pkg-config

ifeq ($(shell dpkg-query -s doxygen 1>/dev/null 2>&1 && echo yes),yes)
CONFIG += docs
endif

CONFIG += strict

%:
	dh $@ --buildsystem=meson

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## sord 0.16.16

=== meson_options.txt ===
--- 
+++ 
@@ -3,9 +3,6 @@
 
 option('docs', type: 'feature', value: 'auto', yield: true,
        description: 'Build documentation')
-
-option('strict', type: 'boolean', value: false, yield: true,
-       description: 'Enable ultra-strict warnings')
 
 option('tests', type: 'feature', value: 'auto', yield: true,
        description: 'Build tests')

=== debian/changelog ===
sord (0.16.16-2build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:48:13 +0200

sord (0.16.16-2) unstable; urgency=medium

  * Team upload
  * debian/rules: Add libzix-dev to libsord-dev's Depends

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 11 Nov 2023 00:24:53 +0100

sord (0.16.16-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.16.16
  * debian/control:
    - Bump Standards-Version
    - Add libzix-dev to Build-Depends
  * debian/rules: Remove left-overs from waf

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 11 Nov 2023 00:08:05 +0100

sord (0.16.14+git221008-1) unstable; urgency=medium

  * New upstream version 0.16.14+git221008
    + Fix build against PCRE2
  * Add libpcre2-dev to B-Ds, this enables sord_validate again
  * d/control: Update homepage URL (Closes: #1021291)

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 09 Oct 2022 22:42:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sord
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
@@ -10,12 +11,13 @@
  debhelper-compat (= 13),
  libpcre2-dev,
  libserd-dev (>= 0.30),
+ libzix-dev,
  meson,
  pkg-config,
  python3:native,
 Build-Depends-Indep:
  doxygen,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://drobilla.net/software/sord.html
 Vcs-Git: https://salsa.debian.org/multimedia-team/sord.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/sord
@@ -42,6 +44,7 @@
 Multi-Arch: same
 Depends:
  libserd-dev (>= 0.30),
+ libzix-dev,
  libsord-0-0 (= ${binary:Version}),
  ${misc:Depends}
 Suggests:

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.sig/" \
https://download.drobilla.net/sord-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sord 0.16.18

=== meson_options.txt ===
# Copyright 2021-2022 David Robillard <d@drobilla.net>
# SPDX-License-Identifier: 0BSD OR ISC

option('docs', type: 'feature', yield: true,
       description: 'Build documentation')

option('lint', type: 'boolean', value: false, yield: true,
       description: 'Run code quality checks')

option('man', type: 'feature', value: 'enabled', yield: true,
       description: 'Install man pages')

option('tests', type: 'feature', yield: true,
       description: 'Build tests')

option('title', type: 'string', value: 'Sord',
       description: 'Project title')

option('tools', type: 'feature', yield: true,
       description: 'Build command line utilities')

=== debian/changelog ===
sord (0.16.18-1) unstable; urgency=medium

  * New upstream version 0.16.18
  * Change B-D from pkg-config => pkgconf
  * libsord-dev Recommends: pkg-config => pkgconf
  * Bump Standards-Version to 4.7.0
  * Bump my d/copyright years
  * Change my email address

 -- Dennis Braun <snd@debian.org>  Sun, 09 Feb 2025 15:03:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: sord
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
- Dennis Braun <d_braun@kabelmail.de>
+ Dennis Braun <snd@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libpcre2-dev,
  libserd-dev (>= 0.30),
  libzix-dev,
  meson,
- pkg-config,
+ pkgconf,
  python3:native,
 Build-Depends-Indep:
  doxygen,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://drobilla.net/software/sord.html
 Vcs-Git: https://salsa.debian.org/multimedia-team/sord.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/sord
@@ -50,7 +49,7 @@
 Suggests:
  libsord-doc
 Recommends:
- pkg-config
+ pkgconf
 Description: library for storing RDF data in memory (development files)
  Sord is a lightweight C library for storing Resource
  Description Framework (RDF) data in memory.

## sord 0.16.20

=== meson_options.txt ===
# Copyright 2021-2025 David Robillard <d@drobilla.net>
# SPDX-License-Identifier: 0BSD OR ISC

option('bindings_cpp', type: 'feature',
       description: 'Build C++ bindings')

option('docs', type: 'feature',
       description: 'Build documentation')

option('lint', type: 'boolean', value: false,
       description: 'Run code quality checks')

option('man', type: 'feature', value: 'enabled',
       description: 'Install man pages')

option('tests', type: 'feature',
       description: 'Build tests')

option('title', type: 'string', value: 'Sord',
       description: 'Project title')

option('tools', type: 'feature',
       description: 'Build command line utilities')

=== debian/changelog ===
sord (0.16.20-1) unstable; urgency=medium

  * New upstream version 0.16.20
  * Update d/watch to version 5
  * Bump Standards-Version to 4.7.2
  * Remove redudant rules-requires-root-no field
  * Update copyright year

 -- Dennis Braun <snd@debian.org>  Tue, 18 Nov 2025 17:40:13 +0100

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,10 @@
  python3:native,
 Build-Depends-Indep:
  doxygen,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://drobilla.net/software/sord.html
 Vcs-Git: https://salsa.debian.org/multimedia-team/sord.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/sord
-Rules-Requires-Root: no
 
 Package: libsord-0-0
 Architecture: any

## sord 0.16.22

=== debian/changelog ===
sord (0.16.22-1) unstable; urgency=medium

  * New upstream version 0.16.22
  * Bump Standards-Version to 4.7.3
  * Remove redundant priority optional field
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Mon, 02 Mar 2026 18:56:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sord
 Section: libs
-Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
@@ -16,7 +15,7 @@
  python3:native,
 Build-Depends-Indep:
  doxygen,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://drobilla.net/software/sord.html
 Vcs-Git: https://salsa.debian.org/multimedia-team/sord.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/sord
